import { mount , shallowMount} from "@vue/test-utils";
import  ListCartItems from '../components/ListCartItems.vue'
import App from '../App.vue'
import { test } from "@jest/globals";

const data = {
  "id":1,
  "title":"Fjallraven - Foldsack No. 1 Backpack, Fits 15 Laptops",
  "price":109.95,
  "description":"Your perfect pack for everyday use and walks in the forest. Stash your laptop (up to 15 inches) in the padded sleeve, your everyday","category":"men's clothing",
  "image":"https://fakestoreapi.com/img/81fPKd-2AYL._AC_SL1500_.jpg",
  "qty": "3"
}
test("Testing qty dropdown", () => {
  const wrapper = mount(ListCartItems, {
    props: {
      test: [data],
      displaying: 'block'
    }
  });

  wrapper.find("select").trigger('change');  
  expect(wrapper.emitted('qty-dropdown')[0]).toEqual(["3", data])
});

test("Remove item from cart", () => {
  const wrapper = mount(App, {
    propsData: {
      test: [data],
      getTotal: 0
    }

  })
  wrapper.find(".remove-item").trigger('click');
  expect(wrapper.emitted('delete-cart-items')[0]).toBeTruthy()
})

describe("cart component render properly", () => {
  it("should render cart component", () => {
    const wrapper = shallowMount(<App />);
    expect(wrapper.vm).toBeTruthy()
  });
});
